Bug 9548 - Log changes to baskets/basket groups so you can print/download the same data as at time of creation
Summary: Log changes to baskets/basket groups so you can print/download the same data ...
Status: NEW
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Bugs List
QA Contact:
URL:
Keywords:
: 3016 (view as bug list)
Depends on:
Blocks:
 
Reported: 2013-02-05 11:12 UTC by mathieu saby
Modified: 2019-07-01 17:19 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mathieu saby 2013-02-05 11:12:37 UTC
At present, in aqorders table, Koha stores the biblionumber of the record. 

If the record is suppressed (or merged I suppose) for some reason, the title, author, publisher, date of the ordered document could no more be retrieved.

At the end of the year if you make a report for listing all the documents ordered that year, bibliographic information will be missing for some documents.

So, would it be possible to store critical bibliographic information (title, author, publisher, date ?) in aqorders table?

M. Saby
Rennes 2 university
Comment 1 Nicole C. Engard 2013-03-21 14:18:26 UTC
I agree with this.  I think the biblionumber should still be there for clicking and seeing the full record, but the basics should be in the orders table or linked to acq in some other way.
Comment 2 Katrin Fischer 2013-08-11 08:57:08 UTC
Hm, I am not sure how this would work. If you delete a record, you can still query the biblionumber in the deleted* tables for your reports, so it's not lost.
But if you merge 2 records - which information should be stored? I think some libraires might say that it's right that the old information is discarded at least for some use cases.
Comment 3 Nicole C. Engard 2013-08-11 18:21:50 UTC
The problem I see is that the basket says 'deleted title' or something like that - so it's not querying the deleted tables to show the basket info.  We need a way to keep the basket showing the info that was on the order even if it has been deleted.
Comment 4 Katrin Fischer 2013-08-11 18:33:06 UTC
I think the answer is to query the table then :)
Comment 5 mathieu saby 2013-08-16 20:25:30 UTC
Hello Katrin
Yes, using deleted tables could be a good idea, for avoiding the "deleted record" line.

But... it would not be perfect, in case the record used by the order is modified by the library after the reception of the item.
Ex : You mispell a title, or you put a wrong isbn or title, and you correct it after reception.
If you print again the basketgroup, the information will not be exactly the same as before your changes.
It is a detail, but I think Koha should have a way to print an EXACT copy of an order made 6 month ago. This could be useful for improving our relations with our vendors, and with accounting services.
Currently we have to store copies of pdf basketgroups in a directory, outside Koha.

Mathieu
Comment 6 Katrin Fischer 2013-08-17 07:39:17 UTC
But what if you want to print a corrected copy? If you have made mistakes and want to resend a corrected order to your vendor? - I am just saying this is a bit complicated and storing the created order or logging the data might be the better approach.
Comment 7 Katrin Fischer 2013-08-17 07:40:55 UTC
Complicated in that it's not easy to tell what the expected behaviour is for everyone in every situation... hope I make sense.
Comment 8 mathieu saby 2013-08-17 13:37:51 UTC
If the prices of the order were wrong, and does not match the invoiced price, I think the accounting department will ask us for the invoice, not a corrected version of the order.
If an "basket group" in Koha is to be understood as a "Purchase order" (http://en.wikipedia.org/wiki/Purchase_order), it is not supposed to be changed after it is send to the bookseller. Or maybe it could be changed only in very special occasion, and voluntarily.

Mathieu
Comment 9 Katrin Fischer 2013-08-17 14:07:03 UTC
Mathieu, I never said I don't see a need to store the information, but I still doubt that the aqorders table is the right place to do it. Changing the bibliographic data is only one part of it. You will also be able to move order lines in the future and you can undo every step in the ordering workflow and potentially modify data. So I think if we want to 'freeze' information we should think about a different technical solution.
Comment 10 mathieu saby 2013-08-19 09:10:00 UTC
OK
My point of view : We should focus on taking into account the deleted tables could be easily done, and backported to 3.12/10/8.
For the "freezing" of the basketgroups, it would be a more important enhancement, maybe only for new versions, and it deserves more thinking to find the right solution.
Do you agree wuith that ? If so, we could keep this bug for the "freezing", and create a new bug for taking into account the deleted tables ?

Mathieu
Comment 11 Katrin Fischer 2013-08-19 09:12:47 UTC
Sounds good to me. Maybe change the bug title to reflect the general goal?
Comment 12 mathieu saby 2013-08-19 09:14:33 UTC
done ;-)
Comment 13 mathieu saby 2013-08-19 09:16:38 UTC
I won't have time to create a new bug today for implementing the use of 'deleted*' tables (I'm struggling with inventory...).
Do you have time to do that?

Mathieu
Comment 14 Katrin Fischer 2019-05-04 19:20:37 UTC
*** Bug 3016 has been marked as a duplicate of this bug. ***